kdevelop memory window

Friedrich W. H. Kossebau kossebau at kde.org
Wed Jan 18 01:13:04 UTC 2017


Hi,

Am Mittwoch, 18. Januar 2017, 07:05:40 CET schrieb edrick:
> I'm on ubuntu 16.04 .When I try using the memory window it tells me I need
> okteta installed. I installed from the default repo and it still tells me I
> need okteta.

Which version of KDevelop (ubuntu 16.04 does not define that version)?

Chances are you are running into the issue that your KDevelop is still one 
using Qt4, while Okteta is using Qt5. Which means 2 things:
* they do not mix due to the incompatibel versions of Qt
* newer Okteta using Qt5 does no longer provide the libkbytearrayedit plugin 
which is needed for the memory window by KDevelop

2 options:
A) You need to find a package of Okteta which is at most version 0.14 (part of 
KDE Applications 14.04). From a quick look* the packagers seem to have put the 
plugin into the big Okteta package, that might not be coinstallable with 
latest Okteta though, but that might not matter to you).
* http://packages.ubuntu.com/trusty/i386/okteta/filelist

B) You will have to wait some more months until that memory view feature is 
restored in a newer KDevelop version, perhaps 5.2. There is hope somebody 
might tackle it these days, cmp. https://mail.kde.org/pipermail/kdevelop-devel/2017-January/056376.html

Cheers
Friedrich


More information about the KDevelop mailing list